package com.face.attachment.service;

import com.face.attachment.entity.FaceInfo;
import com.face.attachment.vo.*;
import com.face.global.service.IGlobalBaseService;
import com.face.global.vo.PageResponseVO;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* <p>
    * 人脸融合基础表 服务类
    * </p>
*
* @author admin
* @since 2025-03-15
*/
public interface IFaceInfoService extends IGlobalBaseService<FaceInfo, String> {

    FaceInfo updateFaceInfo(FaceInfoModRequestVO modRequestVO) throws Exception;

    FaceInfo updateImgFaceInfo(MultipartFile file,String faceId) throws Exception;




    FaceInfoDetailResponseVO getFaceInfo(String id) throws Exception;

    PageResponseVO<FaceInfoPageResponseVO> pageAll(FaceInfoPageRequestVO pageRequestVO) throws Exception;

    List<FaceInfo> addAllFaceInfoByTx(FaceInfoTxRequestVO requestVO);

    List<FaceInfoTxRequestVO> queryAllActivity();

    List<FaceInfoDetailResponseVO> queryAllFaceInfo(FaceInfoTxRequestVO requestVO);
}